; ****************************
; initialize GENSURF variables
; ****************************
(defun gensurf-setup()
; initialize AutoCAD stuff
    (setvar "cmdecho" 0)           ; turn off command echoing
    (command "ucsicon" "off")      ; turn off UCSICON
    (command "coords" "1")         ; turn coordinate display to constant
    (setvar "menuecho" 5)          ; turn off menu echoing
    (setvar "expert" 1)            ; get rid of a few extra AutoCAD prompts
    (command "blipmode" "off")     ; get rid of point blips
;
    (command "layer" "n"  "gs-point"
                     "n"  "gs-tri"
                     "n"  "gs-cont"
                     "n"  "gs-index"
                     "n"  "gs-mesh")
    (command "c" "yellow" "gs-point"
             "c" "red"    "gs-tri"
             "c" "blue"   "gs-cont"
             "c" "green"  "gs-index"
             "c" "blue"   "gs-mesh" "")
)

(defun gensurf-edit(file)
   (setq cmd (strcat "edit " file))
   (command "sh" cmd)
)

