; ͻ
;   FILE : NEWDWG.LSP                                                       
; Ķ
;   FUNC : SETUP TO INITIALIZE A NEW DRAWING                                
;   FROM : GARY ANNABLE                                                     
;   DATE : 3/8/91                                                           
; ͼ
(defun C:NEWDWG ()
 (menucmd "S=X")(menucmd "S=SETUP1")
 (setq SHEET (getstring "\nSelect Type Of Drawing : "))
 (CHGATT 9 SHEET)
 (menucmd "S=X")(menucmd "S=SETUP2")
 (setq DSCAL (getstring "\nSelect Final Plot Scale : "))
 (CHGATT 1 DSCAL)
 (setq CSCAL (atoi DSCAL))
 (cond
  ((= DSCAL "1")
   (progn
    (setq SCF 1.0)(CHGATT 2 (rtos SCF 2 1))
    (setq TH 0.1)(CHGATT 3 (rtos TH 2 1))
    (setq LDSC 0.1)(CHGATT 4 (rtos LDSC 2 1))
   )
  )
  ((= DSCAL "5")
   (progn
    (setq SCF 1.0)(CHGATT 2 (rtos SCF 2 1))
    (setq TH 0.5)(CHGATT 3 (rtos TH 2 1))
    (setq LDSC 0.5)(CHGATT 4 (rtos LDSC 2 1))
   )
  )
  ((= DSCAL "10")
   (progn
    (setq SCF 1.0)(CHGATT 2 (RTOS SCF 2 1))
    (setq TH 1.0)(CHGATT 3 (RTOS TH 2 1))
    (setq LDSC 1.0)(CHGATT 4 (RTOS LDSC 2 1))
   )
  )
  ((= DSCAL "20")
   (progn
    (setq SCF 1.0)(CHGATT 2 (RTOS SCF 2 1))
    (setq TH 2.0)(CHGATT 3 (RTOS TH 2 1))
    (setq LDSC 2.0)(CHGATT 4 (RTOS LDSC 2 1))
   )
  )
  ((= DSCAL "30")
   (progn
    (setq SCF 1.0)(CHGATT 2 (RTOS SCF 2 1))
    (setq TH 3.0)(CHGATT 3 (RTOS TH 2 1))
    (setq LDSC 3.0)(CHGATT 4 (RTOS LDSC 2 1))
   )
  )
  ((= DSCAL "40")
   (progn
    (setq SCF 1.0)(CHGATT 2 (RTOS SCF 2 1))
    (setq TH 4.0)(CHGATT 3 (RTOS TH 2 1))
    (setq LDSC 4.0)(CHGATT 4 (RTOS LDSC 2 1))
   )
  )
  ((= DSCAL "50")
   (progn
    (setq SCF 2.0)(CHGATT 2 (RTOS SCF 2 1))
    (setq TH 5.0)(CHGATT 3 (RTOS TH 2 1))
    (setq LDSC 5.0)(CHGATT 4 (RTOS LDSC 2 1))
   )
  )
  ((= DSCAL "60")
   (progn
    (setq SCF 2.0)(CHGATT 2 (RTOS SCF 2 1))
    (setq TH 6.0)(CHGATT 3 (RTOS TH 2 1))
    (setq LDSC 6.0)(CHGATT 4 (RTOS LDSC 2 1))
   )
  )
  ((= DSCAL "100")
   (progn
    (setq SCF 2.5)(CHGATT 2 (RTOS SCF 2 1))
    (setq TH 10.0)(CHGATT 3 (RTOS TH 2 1))
    (setq LDSC 10.0)(CHGATT 4 (RTOS LDSC 2 1))
   )
  )
  ((= DSCAL "200")
   (progn
    (setq SCF 5.0)(CHGATT 2 (RTOS SCF 2 1))
    (setq TH 20.0)(CHGATT 3 (RTOS TH 2 1))
    (setq LDSC 20.0)(CHGATT 4 (RTOS LDSC 2 1))
   )
  )
  ((= DSCAL "300")
   (progn
    (setq SCF 7.0)(CHGATT 2 (RTOS SCF 2 1))
    (setq TH 30.0)(CHGATT 3 (RTOS TH 2 1))
    (setq LDSC 30.0)(CHGATT 4 (RTOS LDSC 2 1))
   )
  )
  ((= DSCAL "600")
   (progn
    (setq SCF 10.0)(CHGATT 2 (RTOS SCF 2 1))
    (setq TH 60.0)(CHGATT 3 (RTOS TH 2 1))
    (setq LDSC 60.0)(CHGATT 4 (RTOS LDSC 2 1))
   )
  )
 )
 (command "insert" SHEET "0,0" CSCAL CSCAL "0")
 (if (/= (tblsearch "BLOCK" "BOR") nil)
  (command "rename" "B" "BOR" "JUNK")
 )
 (command "rename" "B" SHEET "BOR")
 (command "erase" (entlast) "")
 (setvar "ltscale" CSCAL)
 (cond
  ((= SHEET "BL")(command "script" "setup5"))
  ((= SHEET "PS")(command "script" "setup2"))
 )
 (command "menu" "EXAMPLES")
 (princ)
)

