; ͻ
;   FILE : REVISION.LSP                                                     
; Ķ
;   FUNC : SAMPLE FILE TO SHOW HOW VAR.DWG CAN BE USED FOR TIME KEEPING LOGS
;   FROM : GARY ANNABLE                                                     
; ͼ
(command "UNDEFINE" "END")
(command "UNDEFINE" "SAVE")
;
(defun C:END ()
 (setq TEMP (getstring 1 "\nEnter Revision         : "))
 (CHGATT 16 TEMP)
 (setq DNAME "       ")
 (setq DNAME (substr (getvar "DWGNAME") 1 8))
 (setq ETIME (* (- (getvar "TDINDWG") stime) 24.0))
 (setq MONTH (substr (rtos (getvar "CDATE") 2 0) 5 2))
 (setq DAY (substr (rtos (getvar "CDATE") 2 0) 7 2))
 (setq YEAR (substr (rtos (getvar "CDATE") 2 0) 3 2))
 (setq HRS (itoa (fix etime)))
 (setq MIN (itoa (fix (setq mins (* (- etime (fix etime)) 60.0)))))
 (setq SEC (itoa (fix (* (- mins (fix mins)) 60.0))))
 (setq REVISION (open "revision" "a"))
 (setq PARTA (strcat "User:"LDOP" -- Date: "MONTH "/" DAY "/" YEAR))
 (setq PARTB (strcat "  Dwg = " DNAME"  Editing time: " HRS " hrs., " MIN))
 (setq PARTC (strcat " min., " SEC " sec."))
 (setq PART (strcat PARTA PARTB PARTC))
 (write-line PART revision)
 (write-line (strcat "Revision : " TEMP) revision)
 (setq HALF "---------------------------------------")
 (write-line (strcat HALF HALF) revision)
 (close revision)
 (command ".end")
)

(defun C:SAVE ()
 (setq TEMP (getstring 1 "\nEnter Revision         : "))
 (CHGATT 16 TEMP)
 (setq DNAME "       ")
 (setq DNAME (substr (getvar "DWGNAME") 1 8))
 (setq ETIME (* (- (getvar "TDINDWG") stime) 24.0))
 (setq MONTH (substr (rtos (getvar "CDATE") 2 0) 5 2))
 (setq DAY (substr (rtos (getvar "CDATE") 2 0) 7 2))
 (setq YEAR (substr (rtos (getvar "CDATE") 2 0) 3 2))
 (setq HRS (itoa (fix etime)))
 (setq MIN (itoa (fix (setq mins (* (- etime (fix etime)) 60.0)))))
 (setq SEC (itoa (fix (* (- mins (fix mins)) 60.0))))
 (setq REVISION (open "revision" "a"))
 (setq PARTA (strcat "User:"LDOP" -- Date: "MONTH "/" DAY "/" YEAR))
 (setq PARTB (strcat "  Dwg = " DNAME"  Editing time: " HRS " hrs., " MIN))
 (setq PARTC (strcat " min., " SEC " sec."))
 (setq PART (strcat PARTA PARTB PARTC))
 (write-line PART revision)
 (write-line (strcat "Revision : " TEMP) revision)
 (setq HALF "---------------------------------------")
 (write-line (strcat HALF HALF) revision)
 (close revision)
 (command ".save")
 (princ)
)

