; ROT.LSP - ROTATES A DRAWING TO EAST AND BACK

(defun C:SETROT ()
 (setq EN (entsel "\nRotate from what bearing (Pick line reference) ..."))
 (setq ENTLST (entget (car EN)))
 (setq TYPE (cdr (assoc 0 ENTLST)))
 (if (/= TYPE "LINE")
  (princ "\nThat's not a line ... Dummy!")
  (progn 
   (setq PT1 (cdr (assoc 10 ENTLST)))
   (setq PT2 (cdr (assoc 11 ENTLST)))
   (setq PT1X (car PT1))
   (setq PT1Y (car (cdr PT1)))
   (setq PT2X (car PT2))
   (setq PT2Y (car (cdr PT2)))
   (if (< PT2X PT1X)
    (progn
     (setq PT PT2)
     (setq PT2 PT1)
     (setq PT1 PT)
     (setq PT1X (car PT1))
     (setq PT1Y (car (cdr PT1)))
     (setq PT2X (car PT2))
     (setq PT2Y (car (cdr PT2)))
    )
   )
  )
 )
 (setq ANG1 (angle PT1 PT2))
 (setq HFPI (/ pi 2.0))
 (setq TWOPI (* pi 2.0))
 (if (> ANG1 HFPI)
  (progn
   (setq ANGT (rtd (- TWOPI ANG1)))
   (setq ANGB (- ANGT)) 
   (CHGATT 19 (rtos ANGT 2 8))
   (CHGATT 20 (rtos ANGB 2 8))
  )
  (progn
   (setq ANGT (- (rtd ANG1)))
   (CHGATT 19 (rtos ANGT 2 8))
   (setq ANGB (abs ANGT))
   (CHGATT 20 (rtos ANGB 2 8))
  )
 )
 (setq PNTR (getpoint "\nPick a point to rotate about : "))
 (setq PNTRX (car PNTR))
 (setq PNTRY (car (cdr PNTR)))
 (CHGATT 17 (rtos PNTRX 2 8))
 (CHGATT 18 (rtos PNTRY 2 8)) 
 (print "Rotation Set")
 (princ)
)

(defun C:ROTTO ()
 (setq PNT1X (atof (GETATT 17)))
 (setq PNT1Y (atof (GETATT 18)))
 (setq PNT (list PNT1X PNT1Y))
 (setq ANGL (GETATT 19))
 (setq SS1 (ssadd))
 (setq ENT (entnext))
 (while ENT
  (ssadd ENT SS1)
  (setq ENT (entnext ENT))
 )
 (command "rotate" SS1 "" PNT ANGL)
 (princ)
)

(defun C:ROTBK ()
 (setq PNT1X (atof (GETATT 17)))
 (setq PNT1Y (atof (GETATT 18)))
 (setq PNT (list PNT1X PNT1Y))
 (setq ANGL (GETATT 20))
 (setq SS1 (ssadd))
 (setq ENT (entnext))
 (while ENT
  (ssadd ENT SS1)
  (setq ENT (entnext ENT))
 )
 (command "rotate" SS1 "" PNT ANGL)
 (princ)
)

