; ͻ
;   FILE : SL.LSP                                                           
; Ķ
;   FUNC : SINGLE LEADER LINE                                               
;   FROM : GARY ANNABLE (IDEA FROM BOOK "CUSTOMIZING AUTOCAD" LEADTEXT.LSP) 
;   DATE : 3/13/91                                                          
; ͼ
(defun C:SL ()
 (command "dragmode" "auto")
 (setq SC (atof (getatt 4)))
 (setq TXHT (atof (getatt 3)))
 (if (= SC 0.0)(setq SC 20.0))
 (setq PT1 (getpoint "\nPick first point .......\n"))
 (setq PT2 (getpoint PT1 "\nPick second point...\n"))
 (command "line" PT1 PT2 "")
 (if (<= LCON 2)
  (progn
   (setq PT3 (getpoint PT2 "\nPick third point ...\n"))
   (setq D1 (distance PT1 PT2))
   (setq D2 (rtos D1 2 2))
   (setq PT4 (polar pt1 (angle pt1 pt2) SC))
   (if (= LCON 1)
    (setq PT5 (polar pt3 (+ (angle pt3 pt2) 1.5708) (/ TXHT 2)))
    (setq PT5 (polar pt2 (+ (angle pt2 pt3) 1.5708) (/ TXHT 2)))
   )
   (command "PLINE" pt1 "W" "0" (* 0.375 sc) PT4 "W" "0" "0" PT2 PT3)
   (command "")
   (setq SL (entdel (entlast)))
   (entdel (entlast))(entdel SL)
   (if (= LCON 1)(setq ROT (RTD (angle PT3 PT2))))
   (if (= LCON 2)(setq ROT (RTD (angle PT2 PT3))))
   (if (= LCON 3)(setq ROT (RTD (angle PT2 PT3))))
   (setq TST (getstring T "/nEnter Text : "))
   (command "TEXT" PT5 TXHT ROT TST)
  )
  (progn
   (setq D1 (distance PT1 PT2))(setq D2 (rtos D1 2 2))
   (setq PT4 (polar pt1 (angle pt1 pt2) SC))
   (if (= LCON 3)
    (setq PT5 (polar pt2 (+ (angle pt2 pt1) 1.5708) (/ TXHT 2)))
    (setq PT5 (polar pt2 (+ (angle pt1 pt2) 1.5708) (/ TXHT 2)))
   )
   (command "PLINE" pt1 "W" "0" (* 0.375 sc) PT4 "W" "0" "0" PT2)(command "")
   (setq SL (entdel (entlast)))(entdel (entlast))
   (entdel SL)
   (if (= LCON 3)
    (setq ROT (RTD (angle PT2 PT1)))
    (setq ROT (RTD (angle PT1 PT2)))
   )
   (setq TST (getstring T "/nEnter Text : "))
   (if (= LCON 3)
    (command "TEXT" PT5 TXHT ROT TST)
    (command "TEXT" "R" PT5 TXHT ROT TST)
   )
  )
 )
 (princ)
)
